﻿<!DOCTYPE html>
<html>
  <head>
    {% include '/g/head.njk' %}

    <link rel=stylesheet flyauth_href="theme.less.css">
	</head> 
  <body>
    {% include '/g/header.njk' %}

    <h1>{{ lang.h1 }}</h1>
    <div class="content-block">
      <div class="cpwd preference">
        <h3>{{ lang.cpwd.h }}</h3>
        <input type="password" placeholder="{{ lang.cpwd.old_pwd }}">
        <input type="password" placeholder="{{ lang.cpwd.new_pwd }}"> 
        <input type="password" placeholder="{{ lang.cpwd.repeat }}"> 
        <input type="submit" value="{{ lang.cpwd.submit }}">
      </div>


      <div class="db-export preference">
        <h3>{{ lang.db_export.h }}</h3>
        <div class="selection-option">
          <input type=checkbox value="all" id="model-export-all">
          <label for="model-export-all">{{ lang.db_export.all }}</label>
        </div>
        <div class="selection">
          {% for model in header_menu %}
            <div class="selection-option">
              <input type=checkbox value="{{ model.table_name }}" id="model-export-{{ model.name }}">
              {% if model.lang %}
                <label for="model-export-{{ model.name }}">{{ model.lang[current_language] }}</label>
              {% else %}
                <label for="model-export-{{ model.name }}">{{ model.text }}</label>
              {% endif %}      
            </div>
          {% endfor %}
        </div>
        <input type="submit" value="{{ lang.db_export.submit }}">
      </div>

      <div class="model-import preference">
        <h3>{{ lang.db_import.h }}</h3>
        <input type="text" placeholder="{{ lang.db_import.upload }}" class="multifile" autocomplete=off />
        <input type="submit" value="{{ lang.db_import.submit }}">
      </div>

      <div class="model-export preference">
        <h3>{{ lang.model_export.h }}</h3>
        <div class="selection-option">
          <input type=checkbox value="all" id="model-export-all">
          <label for="model-export-all">{{ lang.model_export.all }}</label>
        </div>
        <div class="selection">
          {% for model in header_menu %}
            <div class="selection-option">
              <input type=checkbox value="{{ model.name }}" id="model-export-{{ model.name }}">
              {% if model.lang %}
                <label for="model-export-{{ model.name }}">{{ model.lang[current_language] }}</label>
              {% else %}
                <label for="model-export-{{ model.name }}">{{ model.text }}</label>
              {% endif %}      
            </div>
          {% endfor %}
        </div>

        <input type="submit" value="{{ lang.model_export.submit }}">
      </div>

      <div class="model-import preference">
        <h3>{{ lang.model_import.h }}</h3>
        <input type="text" placeholder="{{ lang.model_import.upload }}" class="multifile" autocomplete=off />
        <input type="submit" value="{{ lang.model_import.submit }}">
      </div>
    
    </div>
      
    {% include '/g/footer.njk' %}
	</body>
  <script src="main.js"></script>
  <script nonce="{{ csp_nonce }}">
    window.addEventListener("flyload", async (evt) => {
      try {
        hide_loading_overlay();

      } catch (e) {
        console.error(e);
      }
    });
  </script>
</html>
